@use "colors";
@use "fonts";
@use "social-link-container";
@use "variables";

.footer {
    z-index: 0;
    margin-top: 3rem;
    padding: 1.5rem 10%;

    color: colors.$footer-primary;
    background-color: colors.$footer-background;
    font-family: fonts.$content-font, sans-serif;

    box-sizing: border-box;

    .footer-content {
        max-width: variables.$max-width;
        margin: 0 auto;

        display: grid;
        grid-template-areas:
            "header header"
            "newsletter links"
            "newsletter social"
            "impressum impressum"
            "footnotes footnotes";
        grid-template-columns: 310px 1fr;
        gap: 1.2rem 4.4rem;

        @media screen and (max-width: variables.$large-device) {
            grid-template-areas: "header""newsletter""links""social""impressum""footnotes";
            grid-template-columns: 1fr;
        }

        //padding: 1rem 10%;

        /* Use both column for default elements (no explicit area) */
        &>* {
            grid-column: 1 / span 2;
        }

        a {
            text-decoration: none;
            color: colors.$footer-primary;
        }

        a:hover {
            text-decoration: underline;
        }

        .icon-menu-item {
            grid-area: header;
            align-self: center;
            display: flex;
            align-items: center;

            .icon-menu-description {
                margin-left: 1.2rem;
                font-family: fonts.$title-font;
                font-size: 1.7rem;
            }
        }

        .newsletter {
            grid-area: newsletter;
            margin-bottom: 2rem;

            .newsletter-form {
                max-width: 310px;

                @media only screen and (max-width: variables.$mobile-width) {
                    max-width: unset;
                    width: 100%;
                }

                form {
                    display: flex;
                    flex-direction: column;

                    &>* {
                        margin-bottom: 1rem;
                    }

                    .button {
                        margin-top: 1.7rem;
                        width: 100%;
                        max-width: 310px;
                    }
                }
            }

            .MuiFormLabel-root,
            .MuiInputBase-input {
                color: colors.$footer-primary;
            }

            .MuiInput-underline::before {
                border-bottom-color: colors.$footer-primary;
            }

            .phone-helper {
                display: none;
            }
        }

        .hierarchical-links {
            grid-area: links;
            margin-bottom: 0.8rem;

            .hierarchical-links {
                display: grid;
                gap: 1rem;
                grid-template-columns: repeat(auto-fill, minmax(15ch, 1fr));
            }
        }

        .social {
            grid-area: social;

            .social-links {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-start;
                width: 100%;
                flex-wrap: wrap;

                .social-link-description {
                    padding: 1rem 0;
                    margin-right: 1rem;
                }

                .social-link-container {
                    @include social-link-container.social-link-container-big;
                    @include social-link-container.social-link-container-inverted-colors;

                    @media only screen and (max-width: variables.$small-device) {
                        @include social-link-container.social-link-container;
                        @include social-link-container.social-link-container-inverted-colors;
                    }
                }
            }
        }

        .menu-items {
            grid-area: impressum;
            display: flex;
            column-gap: 1.6rem;
            margin-top: 0.8rem;
        }

        .footnotes {
            grid-area: footnotes;

            >div.footnotes {
                display: flex;
                flex-direction: column;

                .icon-source {
                    color: colors.$dark-gray;
                    font-size: 0.8rem;
                    padding-top: 0.5rem;
                }
            }
        }
    }
}